/*----------------------------------------------------------------------- 
 * 
 * File Name: FinalizeSearch.h
 *
 * Author: Brown, D. A.
 * 
 * Revision: $Id: FinalizeSearch.h,v 1.4 2001/11/28 01:05:35 duncan Exp $
 * 
 *-----------------------------------------------------------------------
 */

#if 0
<lalVerbatim file="FinalizeSearchHV">
Author: Brown, D. A.
$Id: FinalizeSearch.h,v 1.4 2001/11/28 01:05:35 duncan Exp $
</lalVerbatim> 

<lalLaTeX>

\section{Header \texttt{FinalizeSearch.h}}
\label{inspiral:FinalizeSearch.h}

Provides error codes for the shared object {\tt FinalizeSearch()} function.

</lalLaTeX>
#endif

#ifndef _FINALIZESEARCH_H
#define _FINALIZESEARCH_H

#include "Inspiral.h"

#ifdef  __cplusplus
extern "C" {
#endif


NRCSID (FINALIZESEARCHH, "$Id: FinalizeSearch.h,v 1.4 2001/11/28 01:05:35 duncan Exp $");

#if 0
<lalLaTeX> 
\subsection*{Error codes} 
</lalLaTeX>
#endif
/* <lalErrTable> */
#define FINALIZESEARCHH_ENULL 1
#define FINALIZESEARCHH_ENNUL 2
#define FINALIZESEARCHH_EALOC 4
#define FINALIZESEARCHH_EARGS 8
#define FINALIZESEARCHH_ENUMZ 16
#define FINALIZESEARCHH_MSGENULL "Null pointer"
#define FINALIZESEARCHH_MSGENNUL "Non-null pointer"
#define FINALIZESEARCHH_MSGEALOC "Memory allocation error"
#define FINALIZESEARCHH_MSGEARGS "Wrong number of arguments"
#define FINALIZESEARCHH_MSGENUMZ "Number of data segments is zero"
/* </lalErrTable> */

#ifdef  __cplusplus
}
#endif

#if 0
<lalLaTeX>
\vfill{\footnotesize\input{ApplySearchHV}}
</lalLaTeX> 
#endif

#endif /* _FINALIZESEARCH_H */
